Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 320747 - sci-misc/boinc-6.10.36 crash if I call boinc_client --attach_project
Summary: sci-misc/boinc-6.10.36 crash if I call boinc_client --attach_project
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-20 16:10 UTC by radim
Modified: 2013-06-30 15:15 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description radim 2010-05-20 16:10:17 UTC
boinc fails to start either by runining from init.d or directly by boinc_client


Reproducible: Always

Steps to Reproduce:
1. boinc_client  --attach_project http://setiathome.berkeley.edu my_key
2.
3.

Actual Results:  
20-May-2010 17:56:14 [---] Starting BOINC client version 6.10.36 for i686-pc-linux-gnu
20-May-2010 17:56:14 [---] log flags: file_xfer, sched_ops, task
20-May-2010 17:56:14 [---] Libraries: libcurl/7.20.0 OpenSSL/0.9.8n zlib/1.2.3
20-May-2010 17:56:14 [---] Data directory: /home/radar
20-May-2010 17:56:14 [---] Processor: 1 GenuineIntel Intel(R) Pentium(R) M processor 1.73GHz [Family 6 Model 13 Stepping 8]
20-May-2010 17:56:14 [---] Processor: 2.00 MB cache
20-May-2010 17:56:14 [---] Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx up bts est tm2
20-May-2010 17:56:14 [---] OS: Linux: 2.6.32-gentoo-r7
20-May-2010 17:56:14 [---] Memory: 991.69 MB physical, 980.52 MB virtual
20-May-2010 17:56:14 [---] Disk: 73.51 GB total, 4.05 GB free
20-May-2010 17:56:14 [---] Local time is UTC +2 hours
20-May-2010 17:56:14 [---] No usable GPUs found
20-May-2010 17:56:14 [---] Already attached to http://setiathome.berkeley.edu/
20-May-2010 17:56:14 [http://setiathome.berkeley.edu/] URL http://setiathome.berkeley.edu/; Computer ID not assigned yet; resource share 100
20-May-2010 17:56:14 [---] No general preferences found - using BOINC defaults
20-May-2010 17:56:14 [---] Preferences:
20-May-2010 17:56:14 [---]    max memory usage when active: 495.84MB
20-May-2010 17:56:14 [---]    max memory usage when idle: 892.52MB
*** buffer overflow detected ***: boinc_client terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb737eb78]
/lib/libc.so.6[0xb737ca50]
/lib/libc.so.6[0xb737c088]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb72fdfbe]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb72d31bc]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb737c133]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb737c07d]
boinc_client[0x80ee56a]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x809e1fd]
boinc_client[0x8071e7f]
boinc_client[0x80c113f]
boinc_client[0x80c16a5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb72a7a51]
boinc_client(_ZNSt8ios_base4InitD1Ev+0x5d)[0x804c7f1]
======= Memory map: ========
08048000-0811f000 r-xp 00000000 03:03 13768261   /usr/bin/boinc_client
0811f000-08120000 r--p 000d6000 03:03 13768261   /usr/bin/boinc_client
08120000-08121000 rw-p 000d7000 03:03 13768261   /usr/bin/boinc_client
08121000-0812c000 rw-p 00000000 00:00 0 
08d30000-08db0000 rw-p 00000000 00:00 0          [heap]
b727c000-b7281000 r-xp 00000000 03:03 12806328   /lib/libnss_dns-2.10.1.so
b7281000-b7282000 r--p 00004000 03:03 12806328   /lib/libnss_dns-2.10.1.so
b7282000-b7283000 rw-p 00005000 03:03 12806328   /lib/libnss_dns-2.10.1.so
b7283000-b728d000 r-xp 00000000 03:03 12806175   /lib/libnss_files-2.10.1.so
b728d000-b728e000 r--p 00009000 03:03 12806175   /lib/libnss_files-2.10.1.so
b728e000-b728f000 rw-p 0000a000 03:03 12806175   /lib/libnss_files-2.10.1.so
b728f000-b7291000 rw-p 00000000 00:00 0 
b7291000-b73dc000 r-xp 00000000 03:03 12804989   /lib/libc-2.10.1.so
b73dc000-b73de000 r--p 0014b000 03:03 12804989   /lib/libc-2.10.1.so
b73de000-b73df000 rw-p 0014d000 03:03 12804989   /lib/libc-2.10.1.so
b73df000-b73e2000 rw-p 00000000 00:00 0 
b73e2000-b73ee000 r-xp 00000000 03:03 12970902   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b73ee000-b73ef000 r--p 0000b000 03:03 12970902   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b73ef000-b73f0000 rw-p 0000c000 03:03 12970902   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b73f0000-b7414000 r-xp 00000000 03:03 12806154   /lib/libm-2.10.1.so
b7414000-b7415000 r--p 00023000 03:03 12806154   /lib/libm-2.10.1.so
b7415000-b7416000 rw-p 00024000 03:03 12806154   /lib/libm-2.10.1.so
b7416000-b74f9000 r-xp 00000000 03:03 12975130   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b74f9000-b74fd000 r--p 000e3000 03:03 12975130   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b74fd000-b74fe000 rw-p 000e7000 03:03 12975130   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b74fe000-b7505000 rw-p 00000000 00:00 0 
b7505000-b751a000 r-xp 00000000 03:03 12804953   /lib/libpthread-2.10.1.so
b751a000-b751b000 r--p 00014000 03:03 12804953   /lib/libpthread-2.10.1.so
b751b000-b751c000 rw-p 00015000 03:03 12804953   /lib/libpthread-2.10.1.so
b751c000-b751e000 rw-p 00000000 00:00 0 
b751e000-b7531000 r-xp 00000000 03:03 12221757   /lib/libz.so.1.2.3
b7531000-b7532000 r--p 00012000 03:03 12221757   /lib/libz.so.1.2.3
b7532000-b7533000 rw-p 00013000 03:03 12221757   /lib/libz.so.1.2.3
b7533000-b7547000 r-xp 00000000 03:03 12806183   /lib/libnsl-2.10.1.so
b7547000-b7548000 r--p 00013000 03:03 12806183   /lib/libnsl-2.10.1.so
b7548000-b7549000 rw-p 00014000 03:03 12806183   /lib/libnsl-2.10.1.so
b7549000-b754b000 rw-p 00000000 00:00 0 
b754b000-b754d000 r-xp 00000000 03:03 12805844   /lib/libdl-2.10.1.so
b754d000-b754e000 r--p 00001000 03:03 12805844   /lib/libdl-2.10.1.so
b754e000-b754f000 rw-p 00002000 03:03 12805844   /lib/libdl-2.10.1.so
b754f000-b7689000 r-xp 00000000 03:03 13393739   /usr/lib/libcrypto.so.0.9.8
b7689000-b7691000 r--p 0013a000 03:03 13393739   /usr/lib/libcrypto.so.0.9.8
b7691000-b76a0000 rw-p 00142000 03:03 13393739   /usr/lib/libcrypto.so.0.9.8
b76a0000-b76a4000 rw-p 00000000 00:00 0 
b76a4000-b76ec000 r-xp 00000000 03:03 13393742   /usr/lib/libssl.so.0.9.8
b76ec000-b76ed000 r--p 00047000 03:03 13393742   /usr/lib/libssl.so.0.9.8
b76ed000-b76f0000 rw-p 00048000 03:03 13393742   /usr/lib/libssl.so.0.9.8
b76f0000-b76f7000 r-xp 00000000 03:03 12806358   /lib/librt-2.10.1.so
b76f7000-b76f8000 r--p 00006000 03:03 12806358   /lib/librt-2.10.1.so
b76f8000-b76f9000 rw-p 00007000 03:03 12806358   /lib/librt-2.10.1.so
b76f9000-b770a000 r-xp 00000000 03:03 12805837   /lib/libresolv-2.10.1.so
b770a000-b770b000 r--p 00010000 03:03 12805837   /lib/libresolv-2.10.1.so
b770b000-b770c000 rw-p 00011000 03:03 12805837   /lib/libresolv-2.10.1.so
b770c000-b770e000 rw-p 00000000 00:00 0 
b770e000-b771a000 r-xp 00000000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b771a000-b771b000 r--p 0000b000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b771b000-b771c000 rw-p 0000c000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b771c000-b7758000 r-xp 00000000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b7758000-b7759000 r--p 0003c000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b7759000-b775a000 rw-p 0003d000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b775a000-b77a5000 r-xp 00000000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b77a5000-b77a6000 r--p 0004a000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b77a6000-b77a7000 rw-p 0004b000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b77a7000-b77a8000 rw-p 00000000 00:00 0 
b77ce000-b77cf000 r-xp 00000000 00:00 0          [vdso]
b77cf000-b77ed000 r-xp 00000000 03:03 12806198   /lib/ld-2.10.1.so
b77ed000-b77ee000 r--p 0001d000 03:03 12806198   /lib/ld-2.10.1.so
b77ee000-b77ef000 rw-p 0001e000 03:03 12806198   /lib/ld-2.10.1.so
bfc20000-bfc3c000 rw-p 00000000 00:00 0          [stack]
SIGABRT: abort called
Stack trace (30 frames):
boinc_client(boinc_catch_signal+0x6d)[0x80ec5dd]
[0xb77ce400]
[0xb77ce424]
/lib/libc.so.6(gsignal+0x51)[0xb72bc861]
/lib/libc.so.6(abort+0x1a4)[0xb72be184]
/lib/libc.so.6[0xb72f9955]
/lib/libc.so.6(__fortify_fail+0x48)[0xb737eb78]
/lib/libc.so.6[0xb737ca50]
/lib/libc.so.6[0xb737c088]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb72fdfbe]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb72d31bc]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb737c133]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb737c07d]
boinc_client[0x80ee56a]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x80ee58e]
boinc_client[0x809e1fd]
boinc_client[0x8071e7f]
boinc_client[0x80c113f]
boinc_client[0x80c16a5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb72a7a51]
boinc_client(_ZNSt8ios_base4InitD1Ev+0x5d)[0x804c7f1]

Exiting...


Expected Results:  
boinc connected to setiathome.berkeley.edu 

 emerge --info =sci-misc/boinc-6.10.36
Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r7 i686)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.32-gentoo-r7-i686-Intel-R-_Pentium-R-_M_processor_1.73GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 17 May 2010 06:30:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=pentium-m -O2 -pipe"
DISTDIR="/mnt/nfs_portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="rsync://192.168.1.1/gentoo-portage/distfiles rsync://192.168.1.1/gentoo-portage/ rsync://ftp6.linux.cz/pub/linux/gentoo/ rsync://ftp.fi.muni.cz/pub/linux/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.tu-clausthal.de/pub/linux/gentoo"
LANG="cs_CZ.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="cs us"
PKGDIR="/mnt/nfs_portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/mnt/nfs_portage"
PORTDIR_OVERLAY="/mnt/nfs_portage/distfiles/layman/overlay-watzke-cz /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acl acpi alsa berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr dvdread emboss encode exif faad fam firefox flac fortran gdbm gif gpm gtk hal iconv ipv6 jack java java6 jpeg kde laptop lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl png ppds pppd python qt qt3support qt4 readline reflection sdl session slang spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff truetype unicode usb vorbis x264 x86 xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs us" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel i810" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sci-misc/boinc-6.10.36 was built with the following:
USE="X client -cuda" 
CFLAGS="-march=pentium-m -O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"
CXXFLAGS="-march=pentium-m -O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"
Comment 1 Tomáš Chvátal (RETIRED) gentoo-dev 2010-07-09 16:50:11 UTC
Retry please with latest version in main tree.
Comment 2 radim 2010-07-11 21:26:17 UTC
No change for me. I have the some result afret upgeade.
 $ boinc_client  --version
6.10.58 i686-pc-linux-gnu

One thing, it breaks even when I try to run different command:
$ boinc_client  --run_cpu_benchmarks 
11-Jul-2010 23:22:10 [---] Starting BOINC client version 6.10.58 for i686-pc-linux-gnu
11-Jul-2010 23:22:10 [---] log flags: file_xfer, sched_ops, task
11-Jul-2010 23:22:10 [---] Libraries: libcurl/7.20.0 OpenSSL/0.9.8o zlib/1.2.3
11-Jul-2010 23:22:10 [---] Data directory: /home/radar
11-Jul-2010 23:22:10 [---] Processor: 1 GenuineIntel Intel(R) Pentium(R) M processor 1.73GHz [Family 6 Model 13 Stepping 8]
11-Jul-2010 23:22:10 [---] Processor: 2.00 MB cache
11-Jul-2010 23:22:10 [---] Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx up bts est tm2
11-Jul-2010 23:22:10 [---] OS: Linux: 2.6.32-gentoo-r7
11-Jul-2010 23:22:10 [---] Memory: 991.69 MB physical, 980.52 MB virtual
11-Jul-2010 23:22:10 [---] Disk: 73.51 GB total, 3.70 GB free
11-Jul-2010 23:22:10 [---] Local time is UTC +2 hours
11-Jul-2010 23:22:10 [---] No usable GPUs found
11-Jul-2010 23:22:10 [http://setiathome.berkeley.edu/] URL http://setiathome.berkeley.edu/; Computer ID not assigned yet; resource share 100
11-Jul-2010 23:22:10 [---] No general preferences found - using BOINC defaults
11-Jul-2010 23:22:10 [---] Preferences:
11-Jul-2010 23:22:10 [---]    max memory usage when active: 495.84MB
11-Jul-2010 23:22:10 [---]    max memory usage when idle: 892.52MB
*** buffer overflow detected ***: boinc_client terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x56)[0xb73020f6]
/lib/libc.so.6(+0xeceba)[0xb72ffeba]
/lib/libc.so.6(+0xec4f8)[0xb72ff4f8]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb72805ae]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb725533c]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb72ff5a3]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb72ff4ed]
boinc_client[0x80f487a]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80a117d]
boinc_client[0x8072f7f]
boinc_client[0x80c455f]
boinc_client[0x80c4ad5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb7229ba1]
boinc_client[0x804c8c1]
======= Memory map: ========
08048000-08125000 r-xp 00000000 03:03 14433750   /usr/bin/boinc_client
08125000-08126000 r--p 000dd000 03:03 14433750   /usr/bin/boinc_client
08126000-08127000 rw-p 000de000 03:03 14433750   /usr/bin/boinc_client
08127000-08132000 rw-p 00000000 00:00 0 
08475000-08525000 rw-p 00000000 00:00 0          [heap]
b71fe000-b7203000 r-xp 00000000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b7203000-b7204000 r--p 00004000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b7204000-b7205000 rw-p 00005000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b7205000-b720f000 r-xp 00000000 03:03 14351161   /lib/libnss_files-2.11.2.so
b720f000-b7210000 r--p 00009000 03:03 14351161   /lib/libnss_files-2.11.2.so
b7210000-b7211000 rw-p 0000a000 03:03 14351161   /lib/libnss_files-2.11.2.so
b7211000-b7213000 rw-p 00000000 00:00 0 
b7213000-b7360000 r-xp 00000000 03:03 14349970   /lib/libc-2.11.2.so
b7360000-b7362000 r--p 0014c000 03:03 14349970   /lib/libc-2.11.2.so
b7362000-b7363000 rw-p 0014e000 03:03 14349970   /lib/libc-2.11.2.so
b7363000-b7366000 rw-p 00000000 00:00 0 
b7366000-b7372000 r-xp 00000000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b7372000-b7373000 r--p 0000b000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b7373000-b7374000 rw-p 0000c000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b7374000-b7398000 r-xp 00000000 03:03 14351140   /lib/libm-2.11.2.so
b7398000-b7399000 r--p 00023000 03:03 14351140   /lib/libm-2.11.2.so
b7399000-b739a000 rw-p 00024000 03:03 14351140   /lib/libm-2.11.2.so
b739a000-b747d000 r-xp 00000000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b747d000-b7481000 r--p 000e3000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b7481000-b7482000 rw-p 000e7000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b7482000-b7488000 rw-p 00000000 00:00 0 
b7488000-b749d000 r-xp 00000000 03:03 14349933   /lib/libpthread-2.11.2.so
b749d000-b749e000 r--p 00015000 03:03 14349933   /lib/libpthread-2.11.2.so
b749e000-b749f000 rw-p 00016000 03:03 14349933   /lib/libpthread-2.11.2.so
b749f000-b74a2000 rw-p 00000000 00:00 0 
b74a2000-b74b5000 r-xp 00000000 03:03 12221757   /lib/libz.so.1.2.3
b74b5000-b74b6000 r--p 00012000 03:03 12221757   /lib/libz.so.1.2.3
b74b6000-b74b7000 rw-p 00013000 03:03 12221757   /lib/libz.so.1.2.3
b74b7000-b74cb000 r-xp 00000000 03:03 14351169   /lib/libnsl-2.11.2.so
b74cb000-b74cc000 r--p 00013000 03:03 14351169   /lib/libnsl-2.11.2.so
b74cc000-b74cd000 rw-p 00014000 03:03 14351169   /lib/libnsl-2.11.2.so
b74cd000-b74cf000 rw-p 00000000 00:00 0 
b74cf000-b74d1000 r-xp 00000000 03:03 14350830   /lib/libdl-2.11.2.so
b74d1000-b74d2000 r--p 00001000 03:03 14350830   /lib/libdl-2.11.2.so
b74d2000-b74d3000 rw-p 00002000 03:03 14350830   /lib/libdl-2.11.2.so
b74d3000-b760d000 r-xp 00000000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b760d000-b7615000 r--p 0013a000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b7615000-b7624000 rw-p 00142000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b7624000-b7627000 rw-p 00000000 00:00 0 
b7627000-b766f000 r-xp 00000000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b766f000-b7670000 r--p 00048000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b7670000-b7673000 rw-p 00049000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b7673000-b767a000 r-xp 00000000 03:03 14351344   /lib/librt-2.11.2.so
b767a000-b767b000 r--p 00007000 03:03 14351344   /lib/librt-2.11.2.so
b767b000-b767c000 rw-p 00008000 03:03 14351344   /lib/librt-2.11.2.so
b767c000-b767d000 rw-p 00000000 00:00 0 
b767d000-b768e000 r-xp 00000000 03:03 14350823   /lib/libresolv-2.11.2.so
b768e000-b768f000 r--p 00010000 03:03 14350823   /lib/libresolv-2.11.2.so
b768f000-b7690000 rw-p 00011000 03:03 14350823   /lib/libresolv-2.11.2.so
b7690000-b7692000 rw-p 00000000 00:00 0 
b7692000-b769e000 r-xp 00000000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b769e000-b769f000 r--p 0000b000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b769f000-b76a0000 rw-p 0000c000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b76a0000-b76dc000 r-xp 00000000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b76dc000-b76dd000 r--p 0003c000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b76dd000-b76de000 rw-p 0003d000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b76de000-b7729000 r-xp 00000000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b7729000-b772a000 r--p 0004a000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b772a000-b772b000 rw-p 0004b000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b7751000-b7752000 rw-p 00000000 00:00 0 
b7752000-b7753000 r-xp 00000000 00:00 0          [vdso]
b7753000-b7771000 r-xp 00000000 03:03 14351184   /lib/ld-2.11.2.so
b7771000-b7772000 r--p 0001d000 03:03 14351184   /lib/ld-2.11.2.so
b7772000-b7773000 rw-p 0001e000 03:03 14351184   /lib/ld-2.11.2.so
bf9de000-bf9fb000 rw-p 00000000 00:00 0          [stack]
SIGABRT: abort called
Stack trace (36 frames):
boinc_client(boinc_catch_signal+0x6d)[0x80f28ed]
[0xb7752400]
[0xb7752424]
/lib/libc.so.6(gsignal+0x51)[0xb723e9e1]
/lib/libc.so.6(abort+0x1a4)[0xb7240304]
/lib/libc.so.6(+0x68f3d)[0xb727bf3d]
/lib/libc.so.6(__fortify_fail+0x56)[0xb73020f6]
/lib/libc.so.6(+0xeceba)[0xb72ffeba]
/lib/libc.so.6(+0xec4f8)[0xb72ff4f8]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb72805ae]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb725533c]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb72ff5a3]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb72ff4ed]
boinc_client[0x80f487a]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80f489e]
boinc_client[0x80a117d]
boinc_client[0x8072f7f]
boinc_client[0x80c455f]
boinc_client[0x80c4ad5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb7229ba1]
boinc_client[0x804c8c1]

Exiting...
Comment 3 Ben 2010-07-23 18:11:16 UTC
I also get the buffer overflow termination.

emerge --info =sci-misc/boinc-6.10.58
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.3, glibc-2.11.2-r0, 2.6.34-gentoo-r1 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.34-gentoo-r1-x86_64-AMD_Athlon-tm-_64_Processor_3800+-with-gentoo-1.12.13
Timestamp of tree: Fri, 23 Jul 2010 16:30:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/python /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 avahi berkdb branding bzip2 cairo cdr cjk cli consolekit cracklib crypt cuda cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gdu gif gnome gnome-keyring gpm gstreamer gtk hal iconv immqt-bc ipv6 jpeg lcms ldap libnotify lm_sensors mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd tiff tk truetype unicode usb vim-syntax vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sci-misc/boinc-6.10.58 was built with the following:
USE="X client cuda (multilib)" 
CFLAGS="-O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"
CXXFLAGS="-O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"
Comment 4 Ben 2010-07-23 18:20:36 UTC
Just realized this can be marked a duplicate of 327695.
Comment 5 Tomáš Chvátal (RETIRED) gentoo-dev 2010-08-07 12:55:49 UTC
Hopefully fixed with latest revision.

Please reopen if still broken or close as fixed if i really managed to make it work :]
Comment 6 radim 2010-08-10 15:11:08 UTC
:-(
~ $ boinc_client  --attach_project http://setiathome.berkeley.edu my_key
10-Aug-2010 17:10:25 [---] Starting BOINC client version 6.10.58 for i686-pc-linux-gnu
10-Aug-2010 17:10:25 [---] log flags: file_xfer, sched_ops, task
10-Aug-2010 17:10:25 [---] Libraries: libcurl/7.20.0 OpenSSL/0.9.8o zlib/1.2.3
10-Aug-2010 17:10:25 [---] Data directory: /home/radar
10-Aug-2010 17:10:25 [---] Processor: 1 GenuineIntel Intel(R) Pentium(R) M processor 1.73GHz [Family 6 Model 13 Stepping 8]
10-Aug-2010 17:10:25 [---] Processor: 2.00 MB cache
10-Aug-2010 17:10:25 [---] Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx up bts est tm2
10-Aug-2010 17:10:25 [---] OS: Linux: 2.6.32-gentoo-r7
10-Aug-2010 17:10:25 [---] Memory: 991.69 MB physical, 980.52 MB virtual
10-Aug-2010 17:10:25 [---] Disk: 73.51 GB total, 2.44 GB free
10-Aug-2010 17:10:25 [---] Local time is UTC +2 hours
10-Aug-2010 17:10:25 [---] No usable GPUs found
10-Aug-2010 17:10:25 [---] Already attached to http://setiathome.berkeley.edu/
10-Aug-2010 17:10:25 [http://setiathome.berkeley.edu/] URL http://setiathome.berkeley.edu/; Computer ID not assigned yet; resource share 100
10-Aug-2010 17:10:25 [---] No general preferences found - using BOINC defaults
10-Aug-2010 17:10:25 [---] Preferences:
10-Aug-2010 17:10:25 [---]    max memory usage when active: 495.84MB
10-Aug-2010 17:10:25 [---]    max memory usage when idle: 892.52MB
*** buffer overflow detected ***: boinc_client terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x56)[0xb74990f6]
/lib/libc.so.6(+0xeceba)[0xb7496eba]
/lib/libc.so.6(+0xec4f8)[0xb74964f8]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb74175ae]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb73ec33c]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb74965a3]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb74964ed]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x18a)[0xb7698f4a]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
boinc_client[0x80a2e6d]
boinc_client[0x8074c6f]
boinc_client[0x80c624f]
boinc_client[0x80c67c5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb73c0ba1]
boinc_client[0x804e5b1]
======= Memory map: ========
08048000-08106000 r-xp 00000000 03:03 14608159   /usr/bin/boinc_client
08106000-08107000 r--p 000bd000 03:03 14608159   /usr/bin/boinc_client
08107000-08108000 rw-p 000be000 03:03 14608159   /usr/bin/boinc_client
08108000-08112000 rw-p 00000000 00:00 0 
0958e000-0960e000 rw-p 00000000 00:00 0          [heap]
b7163000-b7168000 r-xp 00000000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b7168000-b7169000 r--p 00004000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b7169000-b716a000 rw-p 00005000 03:03 14351314   /lib/libnss_dns-2.11.2.so
b716a000-b7174000 r-xp 00000000 03:03 14351161   /lib/libnss_files-2.11.2.so
b7174000-b7175000 r--p 00009000 03:03 14351161   /lib/libnss_files-2.11.2.so
b7175000-b7176000 rw-p 0000a000 03:03 14351161   /lib/libnss_files-2.11.2.so
b7176000-b7178000 rw-p 00000000 00:00 0 
b7178000-b7189000 r-xp 00000000 03:03 14350823   /lib/libresolv-2.11.2.so
b7189000-b718a000 r--p 00010000 03:03 14350823   /lib/libresolv-2.11.2.so
b718a000-b718b000 rw-p 00011000 03:03 14350823   /lib/libresolv-2.11.2.so
b718b000-b718d000 rw-p 00000000 00:00 0 
b718d000-b7199000 r-xp 00000000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b7199000-b719a000 r--p 0000b000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b719a000-b719b000 rw-p 0000c000 03:03 12196271   /usr/lib/liblber-2.4.so.2.5.2
b719b000-b719c000 rw-p 00000000 00:00 0 
b719c000-b71c0000 r-xp 00000000 03:03 14351140   /lib/libm-2.11.2.so
b71c0000-b71c1000 r--p 00023000 03:03 14351140   /lib/libm-2.11.2.so
b71c1000-b71c2000 rw-p 00024000 03:03 14351140   /lib/libm-2.11.2.so
b71c2000-b72fc000 r-xp 00000000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b72fc000-b7304000 r--p 0013a000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b7304000-b7313000 rw-p 00142000 03:03 13836048   /usr/lib/libcrypto.so.0.9.8
b7313000-b7316000 rw-p 00000000 00:00 0 
b7316000-b735e000 r-xp 00000000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b735e000-b735f000 r--p 00048000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b735f000-b7362000 rw-p 00049000 03:03 13836051   /usr/lib/libssl.so.0.9.8
b7362000-b7369000 r-xp 00000000 03:03 14351344   /lib/librt-2.11.2.so
b7369000-b736a000 r--p 00007000 03:03 14351344   /lib/librt-2.11.2.so
b736a000-b736b000 rw-p 00008000 03:03 14351344   /lib/librt-2.11.2.so
b736b000-b73a7000 r-xp 00000000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b73a7000-b73a8000 r--p 0003c000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b73a8000-b73a9000 rw-p 0003d000 03:03 12196258   /usr/lib/libldap-2.4.so.2.5.2
b73a9000-b73aa000 rw-p 00000000 00:00 0 
b73aa000-b74f7000 r-xp 00000000 03:03 14349970   /lib/libc-2.11.2.so
b74f7000-b74f9000 r--p 0014c000 03:03 14349970   /lib/libc-2.11.2.so
b74f9000-b74fa000 rw-p 0014e000 03:03 14349970   /lib/libc-2.11.2.so
b74fa000-b74fd000 rw-p 00000000 00:00 0 
b74fd000-b7509000 r-xp 00000000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b7509000-b750a000 r--p 0000b000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b750a000-b750b000 rw-p 0000c000 03:03 14103215   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libgcc_s.so.1
b750b000-b75ee000 r-xp 00000000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b75ee000-b75f2000 r--p 000e3000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b75f2000-b75f3000 rw-p 000e7000 03:03 14107443   /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/libstdc++.so.6.0.10
b75f3000-b75f9000 rw-p 00000000 00:00 0 
b75f9000-b760e000 r-xp 00000000 03:03 14349933   /lib/libpthread-2.11.2.so
b760e000-b760f000 r--p 00015000 03:03 14349933   /lib/libpthread-2.11.2.so
b760f000-b7610000 rw-p 00016000 03:03 14349933   /lib/libpthread-2.11.2.so
b7610000-b7612000 rw-p 00000000 00:00 0 
b7612000-b7625000 r-xp 00000000 03:03 12221757   /lib/libz.so.1.2.3
b7625000-b7626000 r--p 00012000 03:03 12221757   /lib/libz.so.1.2.3
b7626000-b7627000 rw-p 00013000 03:03 12221757   /lib/libz.so.1.2.3
b7627000-b7628000 rw-p 00000000 00:00 0 
b7628000-b762a000 r-xp 00000000 03:03 14350830   /lib/libdl-2.11.2.so
b762a000-b762b000 r--p 00001000 03:03 14350830   /lib/libdl-2.11.2.so
b762b000-b762c000 rw-p 00002000 03:03 14350830   /lib/libdl-2.11.2.so
b762c000-b7677000 r-xp 00000000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b7677000-b7678000 r--p 0004a000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b7678000-b7679000 rw-p 0004b000 03:03 13642279   /usr/lib/libcurl.so.4.2.0
b7679000-b767f000 r-xp 00000000 03:03 14608167   /usr/lib/libboinc_crypt.so.6.10.58
b767f000-b7680000 r--p 00005000 03:03 14608167   /usr/lib/libboinc_crypt.so.6.10.58
b7680000-b7681000 rw-p 00006000 03:03 14608167   /usr/lib/libboinc_crypt.so.6.10.58
b7681000-b76d7000 r-xp 00000000 03:03 14608110   /usr/lib/libboinc.so.6.10.58
b76d7000-b76d8000 r--p 00055000 03:03 14608110   /usr/lib/libboinc.so.6.10.58
b76d8000-b76d9000 rw-p 00056000 03:03 14608110   /usr/lib/libboinc.so.6.10.58
b76d9000-b76db000 rw-p 00000000 00:00 0 
b7701000-b7702000 rw-p 00000000 00:00 0 
b7702000-b7703000 r-xp 00000000 00:00 0          [vdso]
b7703000-b7721000 r-xp 00000000 03:03 14351184   /lib/ld-2.11.2.so
b7721000-b7722000 r--p 0001d000 03:03 14351184   /lib/ld-2.11.2.so
b7722000-b7723000 rw-p 0001e000 03:03 14351184   /lib/ld-2.11.2.so
bff12000-bff30000 rw-p 00000000 00:00 0          [stack]
SIGABRT: abort called
Stack trace (30 frames):
/usr/lib/libboinc.so.6(boinc_catch_signal+0x6d)[0xb7696fbd]
[0xb7702400]
[0xb7702424]
/lib/libc.so.6(gsignal+0x51)[0xb73d59e1]
/lib/libc.so.6(abort+0x1a4)[0xb73d7304]
/lib/libc.so.6(+0x68f3d)[0xb7412f3d]
/lib/libc.so.6(__fortify_fail+0x56)[0xb74990f6]
/lib/libc.so.6(+0xeceba)[0xb7496eba]
/lib/libc.so.6(+0xec4f8)[0xb74964f8]
/lib/libc.so.6(_IO_default_xsputn+0xae)[0xb74175ae]
/lib/libc.so.6(_IO_vfprintf+0x361c)[0xb73ec33c]
/lib/libc.so.6(__vsprintf_chk+0xa3)[0xb74965a3]
/lib/libc.so.6(__sprintf_chk+0x2d)[0xb74964ed]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x18a)[0xb7698f4a]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x1ae)[0xb7698f6e]
boinc_client[0x80a2e6d]
boinc_client[0x8074c6f]
boinc_client[0x80c624f]
boinc_client[0x80c67c5]
/lib/libc.so.6(__libc_start_main+0xe1)[0xb73c0ba1]
boinc_client[0x804e5b1]

Exiting...
Comment 7 Pierre Walthery 2010-11-17 09:56:29 UTC
Same for me with Boinc 6.10.58-r1 compiled with GCC 4.4.5 :-\

17-Nov-2010 09:45:19 [---] Starting BOINC client version 6.10.58 for x86_64-pc-linux-gnu
17-Nov-2010 09:45:19 [---] log flags: file_xfer, sched_ops, task
17-Nov-2010 09:45:19 [---] Libraries: libcurl/7.21.1 OpenSSL/1.0.0a zlib/1.2.3
17-Nov-2010 09:45:19 [---] Data directory: /home/piet
17-Nov-2010 09:45:19 [---] Processor: 2 GenuineIntel Intel(R) Core(TM)2 Duo CPU     T7700  @ 2.40GHz [Family 6 Model 15 Stepping 11]
17-Nov-2010 09:45:19 [---] Processor: 4.00 MB cache
17-Nov-2010 09:45:19 [---] Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdc
17-Nov-2010 09:45:19 [---] OS: Linux: 2.6.34-gentoo-r12
17-Nov-2010 09:45:19 [---] Memory: 3.87 GB physical, 5.22 GB virtual
17-Nov-2010 09:45:19 [---] Disk: 27.50 GB total, 6.73 GB free
17-Nov-2010 09:45:19 [---] Local time is UTC +0 hours
17-Nov-2010 09:45:19 [---] NVIDIA GPU 0: Quadro NVS 135M (driver version unknown, CUDA version 3020, compute capability 1.1, 127MB, 13 GFLOPS peak)
17-Nov-2010 09:45:19 [http://climateprediction.net/] URL http://climateprediction.net/; Computer ID not assigned yet; resource share 100
17-Nov-2010 09:45:19 [---] No general preferences found - using BOINC defaults
17-Nov-2010 09:45:19 [---] Preferences:
17-Nov-2010 09:45:19 [---]    max memory usage when active: 1982.39MB
17-Nov-2010 09:45:19 [---]    max memory usage when idle: 3568.30MB
*** buffer overflow detected ***: boinc terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x37)[0x7fd90cfeec67]
/lib/libc.so.6(+0xe5ab0)[0x7fd90cfecab0]
/lib/libc.so.6(+0xe4e19)[0x7fd90cfebe19]
/lib/libc.so.6(_IO_default_xsputn+0x83)[0x7fd90cf786a3]
/lib/libc.so.6(_IO_vfprintf+0x3d9b)[0x7fd90cf4ceeb]
/lib/libc.so.6(__vsprintf_chk+0x9d)[0x7fd90cfebebd]
/lib/libc.so.6(__sprintf_chk+0x7f)[0x7fd90cfebdff]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x125)[0x7fd90e4c6485]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x141)[0x7fd90e4c64a1]
======= Memory map: ========
00400000-0049c000 r-xp 00000000 08:05 1211362                            /usr/bin/boinc
0069b000-0069c000 r--p 0009b000 08:05 1211362                            /usr/bin/boinc
0069c000-0069d000 rw-p 0009c000 08:05 1211362                            /usr/bin/boinc
0069d000-006a7000 rw-p 00000000 00:00 0 
01bdc000-01ceb000 rw-p 00000000 00:00 0                                  [heap]
7fd90a48b000-7fd90ac0e000 r-xp 00000000 08:05 686658                     /usr/lib64/libcuda.so.260.19.12
7fd90ac0e000-7fd90ae0e000 ---p 00783000 08:05 686658                     /usr/lib64/libcuda.so.260.19.12
7fd90ae0e000-7fd90aecd000 rw-p 00783000 08:05 686658                     /usr/lib64/libcuda.so.260.19.12
7fd90aecd000-7fd90aef2000 rw-p 00000000 00:00 0 
7fd90aef2000-7fd90aef7000 r-xp 00000000 08:05 872751                     /lib64/libnss_dns-2.12.1.so
7fd90aef7000-7fd90b0f6000 ---p 00005000 08:05 872751                     /lib64/libnss_dns-2.12.1.so
7fd90b0f6000-7fd90b0f7000 r--p 00004000 08:05 872751                     /lib64/libnss_dns-2.12.1.so
7fd90b0f7000-7fd90b0f8000 rw-p 00005000 08:05 872751                     /lib64/libnss_dns-2.12.1.so
7fd90b0f8000-7fd90b103000 r-xp 00000000 08:05 872697                     /lib64/libnss_files-2.12.1.so
7fd90b103000-7fd90b302000 ---p 0000b000 08:05 872697                     /lib64/libnss_files-2.12.1.so
7fd90b302000-7fd90b303000 r--p 0000a000 08:05 872697                     /lib64/libnss_files-2.12.1.so
7fd90b303000-7fd90b304000 rw-p 0000b000 08:05 872697                     /lib64/libnss_files-2.12.1.so
7fd90b304000-7fd90b307000 r-xp 00000000 08:05 947418                     /usr/lib64/libgpg-error.so.0.5.0
7fd90b307000-7fd90b506000 ---p 00003000 08:05 947418                     /usr/lib64/libgpg-error.so.0.5.0
7fd90b506000-7fd90b507000 r--p 00002000 08:05 947418                     /usr/lib64/libgpg-error.so.0.5.0
7fd90b507000-7fd90b508000 rw-p 00003000 08:05 947418                     /usr/lib64/libgpg-error.so.0.5.0
7fd90b508000-7fd90b57e000 r-xp 00000000 08:05 170780                     /usr/lib64/libgcrypt.so.11.6.0
7fd90b57e000-7fd90b77d000 ---p 00076000 08:05 170780                     /usr/lib64/libgcrypt.so.11.6.0
7fd90b77d000-7fd90b77e000 r--p 00075000 08:05 170780                     /usr/lib64/libgcrypt.so.11.6.0
7fd90b77e000-7fd90b781000 rw-p 00076000 08:05 170780                     /usr/lib64/libgcrypt.so.11.6.0
7fd90b781000-7fd90b791000 r-xp 00000000 08:05 690938                     /usr/lib64/libtasn1.so.3.1.10
7fd90b791000-7fd90b990000 ---p 00010000 08:05 690938                     /usr/lib64/libtasn1.so.3.1.10
7fd90b990000-7fd90b991000 r--p 0000f000 08:05 690938                     /usr/lib64/libtasn1.so.3.1.10
7fd90b991000-7fd90b992000 rw-p 00010000 08:05 690938                     /usr/lib64/libtasn1.so.3.1.10
7fd90b992000-7fd90b99a000 r-xp 00000000 08:05 872719                     /lib64/libcrypt-2.12.1.so
7fd90b99a000-7fd90bb99000 ---p 00008000 08:05 872719                     /lib64/libcrypt-2.12.1.so
7fd90bb99000-7fd90bb9a000 r--p 00007000 08:05 872719                     /lib64/libcrypt-2.12.1.so
7fd90bb9a000-7fd90bb9b000 rw-p 00008000 08:05 872719                     /lib64/libcrypt-2.12.1.so
7fd90bb9b000-7fd90bbc9000 rw-p 00000000 00:00 0 
7fd90bbc9000-7fd90bc6d000 r-xp 00000000 08:05 737914                     /usr/lib64/libgnutls.so.26.16.10
7fd90bc6d000-7fd90be6c000 ---p 000a4000 08:05 737914                     /usr/lib64/libgnutls.so.26.16.10
7fd90be6c000-7fd90be73000 r--p 000a3000 08:05 737914                     /usr/lib64/libgnutls.so.26.16.10
7fd90be73000-7fd90be74000 rw-p 000aa000 08:05 737914                     /usr/lib64/libgnutls.so.26.16.10
7fd90be74000-7fd90be75000 rw-p 00000000 00:00 0 
7fd90be75000-7fd90be8e000 r-xp 00000000 08:05 982433                     /usr/lib64/libsasl2.so.2.0.23
7fd90be8e000-7fd90c08e000 ---p 00019000 08:05 982433                     /usr/lib64/libsasl2.so.2.0.23
7fd90c08e000-7fd90c08f000 r--p 00019000 08:05 982433                     /usr/lib64/libsasl2.so.2.0.23
7fd90c08f000-7fd90c090000 rw-p 0001a000 08:05 982433                     /usr/lib64/libsasl2.so.2.0.23
7fd90c090000-7fd90c0a3000 r-xp 00000000 08:05 872691                     /lib64/libresolv-2.12.1.so
7fd90c0a3000-7fd90c2a2000 ---p 00013000 08:05 872691                     /lib64/libresolv-2.12.1.so
7fd90c2a2000-7fd90c2a3000 r--p 00012000 08:05 872691                     /lib64/libresolv-2.12.1.so
7fd90c2a3000-7fd90c2a4000 rw-p 00013000 08:05 872691                     /lib64/libresolv-2.12.1.so
7fd90c2a4000-7fd90c2a6000 rw-p 00000000 00:00 0 
7fd90c2a6000-7fd90c2b4000 r-xp 00000000 08:05 90295                      /usr/lib64/liblber-2.4.so.2.5.6
7fd90c2b4000-7fd90c4b3000 ---p 0000e000 08:05 90295                      /usr/lib64/liblber-2.4.so.2.5.6
7fd90c4b3000-7fd90c4b4000 r--p 0000d000 08:05 90295                      /usr/lib64/liblber-2.4.so.2.5.6
7fd90c4b4000-7fd90c4b5000 rw-p 0000e000 08:05 90295                      /usr/lib64/liblber-2.4.so.2.5.6
7fd90c4b5000-7fd90c637000 r-xp 00000000 08:05 218641                     /usr/lib64/libcrypto.so.1.0.0
7fd90c637000-7fd90c837000 ---p 00182000 08:05 218641                     /usr/lib64/libcrypto.so.1.0.0
7fd90c837000-7fd90c850000 r--p 00182000 08:05 218641                     /usr/lib64/libcrypto.so.1.0.0
7fd90c850000-7fd90c85a000 rw-p 0019b000 08:05 218641                     /usr/lib64/libcrypto.so.1.0.0
7fd90c85a000-7fd90c85e000 rw-p 00000000 00:00 0 
7fd90c85e000-7fd90c8b2000 r-xp 00000000 08:05 218644                     /usr/lib64/libssl.so.1.0.0
7fd90c8b2000-7fd90cab2000 ---p 00054000 08:05 218644                     /usr/lib64/libssl.so.1.0.0
7fd90cab2000-7fd90cab5000 r--p 00054000 08:05 218644                     /usr/lib64/libssl.so.1.0.0
7fd90cab5000-7fd90caba000 rw-p 00057000 08:05 218644                     /usr/lib64/libssl.so.1.0.0
7fd90caba000-7fd90cac2000 r-xp 00000000 08:05 872754                     /lib64/librt-2.12.1.so
7fd90cac2000-7fd90ccc1000 ---p 00008000 08:05 872754                     /lib64/librt-2.12.1.so
7fd90ccc1000-7fd90ccc2000 r--p 00007000 08:05 872754                     /lib64/librt-2.12.1.so
7fd90ccc2000-7fd90ccc3000 rw-p 00008000 08:05 872754                     /lib64/librt-2.12.1.so
7fd90ccc3000-7fd90cd05000 r-xp 00000000 08:05 90125                      /usr/lib64/libldap-2.4.so.2.5.6
7fd90cd05000-7fd90cf04000 ---p 00042000 08:05 90125                      /usr/lib64/libldap-2.4.so.2.5.6
7fd90cf04000-7fd90cf05000 r--p 00041000 08:05 90125                      /usr/lib64/libldap-2.4.so.2.5.6SIGABRT: abort called
Stack trace (14 frames):
/usr/lib/libboinc.so.6(boinc_catch_signal+0x4d)[0x7fd90e4c4acd]
/lib/libpthread.so.0(+0xf310)[0x7fd90da26310]
/lib/libc.so.6(gsignal+0x35)[0x7fd90cf39455]
/lib/libc.so.6(abort+0x180)[0x7fd90cf3a870]
/lib/libc.so.6(+0x6d9bb)[0x7fd90cf749bb]
/lib/libc.so.6(__fortify_fail+0x37)[0x7fd90cfeec67]
/lib/libc.so.6(+0xe5ab0)[0x7fd90cfecab0]
/lib/libc.so.6(+0xe4e19)[0x7fd90cfebe19]
/lib/libc.so.6(_IO_default_xsputn+0x83)[0x7fd90cf786a3]
/lib/libc.so.6(_IO_vfprintf+0x3d9b)[0x7fd90cf4ceeb]
/lib/libc.so.6(__vsprintf_chk+0x9d)[0x7fd90cfebebd]
/lib/libc.so.6(__sprintf_chk+0x7f)[0x7fd90cfebdff]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x125)[0x7fd90e4c6485]
/usr/lib/libboinc.so.6(_Z8dir_sizePKcRdb+0x141)[0x7fd90e4c64a1]

Exiting...


=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.34-gentoo-r12-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7700_@_2.40GHz-with-gentoo-1.12.14
Timestamp of tree: Wed, 17 Nov 2010 08:20:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/  http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="de_DE"
LC_ALL="de_DE"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en_GB en fr ro"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS=""
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/n4g /usr/local/portage/layman/bazaar /usr/local/portage/layman"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="R X a52 aac acpi alps alsa amd64 amr amrnb amrwb aspell bash-completion battery berkdb branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr dvdread dvi emboss encode evdev exif extra fam fbcon fbcondecor fbsplash ffmpeg file-icons fimp firefox flac fortran fuse gallium gdbm gif gimp gpm graphics grub gs gstreamer gtk hal hddtemp humanities icons iconv imagemagick imap ipod ipv6 ipw4965 java javascript jpeg jpeg2k keyboard kpathsea laptop latex lcms ldap libgcrypt libnotify lm_sensors lua lzma mad mikmod mime mjpeg mng modules mp3 mp4 mpeg mudflap multilib musepack ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl oxygen pango pcmcia pcre pdf png ppds pstricks publishers python q32 q8 readline scanner science sdl session shorten skins spell sqlite sse sse2 sse3 ssh ssl startup-notification stream svg synaptics sysfs tcl tcpd tex4ht thunar tiff tk truetype udev unicode usb vorbis wifi x264 xcb xetex xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse alps synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en_GB en fr ro" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" SANE_BACKENDS="sane-hp4200" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

sci-misc/boinc-6.10.58-r1 was built with the following:
USE="X client (multilib) -cuda"
CFLAGS="-march=native -O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"
CXXFLAGS="-march=native -O2 -pipe -O3 -funroll-loops -fforce-addr -ffast-math"

Comment 8 Alexander 2011-01-20 21:39:49 UTC
same problem


Portage 2.1.9.33 (default/linux/amd64/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.36-zen1 x86_64)
=================================================================
System uname: Linux-2.6.36-zen1-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5000+-with-gentoo-2.0.1
Timestamp of tree: Thu, 20 Jan 2011 18:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -funroll-all-loops -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -funroll-all-loops -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ ftp://mirror.yandex.ru/gentoo-distfiles/distfiles/"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru"
MAKEOPTS="-j7"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/java-overlay /var/lib/layman/qutim /var/lib/layman/x11 /var/lib/layman/gnome"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 amr apache2 audio audiofile automount bash-completion bazaar berkdb bluetooth brasero bzip2 cairo cdaudio cdda cdparanoia cdr cdrom cdrtools chm cli consolekit cpudetection cracklib crypt css ctype cuda cups curl custom-optimization cxx dbus device-mapper djvu dri dvd dvdr emerald enca exif extras fbdev ffmpeg filter firefox firefox3 flac flash flv fontconfig ftp fuse gconf gd gdbm gdu gif git glitz gnome gnome-keyring gnutls google gphoto2 gpm gstreamer gtk hal hddtemp i18n iconv id3 id3tag imagemagick imlib iphone ipod ipv6 ithreads jabber jack java jpeg jpeg2k jpg kdrive kerberos lame libnotify lm_sensors mad mmx mng modules mp3 mpeg mu10k1x mudflap multilib musicbrainz mysql nautilus ncurses nls nptl nptlonly nsplugins ntfs ntfs-3g ogg opengl openmp oss pam pcre pdf perl png policykit pppd pulseaudio python qemu qt3support qt4 radio rar rdesktop-vrdp readline reiserfs ru samba sdk secure-delete session sip skype slang snmp sockets sox sql sqlite sse sse2 ssh ssl stream subversion svg symlink sysfs syslog system-v8 taglib tcpd tga theora threads tiff truetype udev unicode unzip upnp usb vdpau virtualbox vorbis wav wavpack webkit wimax wma wmf xcb xinerama xml xorg xterm xulrunner xvid youtube zip zlib" ALSA_CARDS="hda-nvidia hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 Dallas 2011-02-17 14:17:58 UTC
Same problem here.
Comment 10 andcycle-gentoo.bugs 2011-02-26 19:13:30 UTC
(In reply to comment #9)
> Same problem here.
> 

have any one tried an emerge -e world?

I crash into similar error message with 6.10.58-r1,
and the problem gone after recomiple the entire system :X
Comment 11 Tomáš Chvátal (RETIRED) gentoo-dev 2011-05-23 15:50:42 UTC
Please retry with 6.12.26-r1. Works here on hardened.
Comment 12 trogdog 2011-05-31 12:33:16 UTC

does it still happen if you run

sudo boinc_client --dir /var/lib/boinc/
Comment 13 trogdog 2012-06-27 09:58:47 UTC
is this bug still relevant?
Comment 14 Justin Lecher gentoo-dev 2013-06-30 14:47:06 UTC
Is this still present in version 7.2.0?